Bug 1311683 - csnappy: rebuild epel branches
csnappy: rebuild epel branches
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: csnappy (Show other bugs)
epel7
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: David Dick
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1311688 1311692
  Show dependency treegraph
 
Reported: 2016-02-24 12:58 EST by Denis Fateyev
Modified: 2016-03-25 17:53 EDT (History)
1 user (show)

See Also:
Fixed In Version: csnappy-0-6.20150729gitd7bc683.el7 csnappy-0-6.20150729gitd7bc683.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-25 17:26:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
csnappy epel fixes (1.36 KB, patch)
2016-03-01 15:53 EST, Denis Fateyev
no flags Details | Diff

  None (edit)
Description Denis Fateyev 2016-02-24 12:58:07 EST
Description of problem:
Please rebuild and push `csnappy` updates for el6 and epel7.
As I suppose, the last faulty attempt [1,2] was caused by missing valgrind in ppc. Now it should be solved with [3] for both branches, and build should go fine.

[1] http://koji.fedoraproject.org/koji/packageinfo?packageID=19298

[2] http://koji.fedoraproject.org/koji/taskinfo?taskID=8911031

[3] http://pkgs.fedoraproject.org/cgit/rpms/csnappy.git/commit/?h=epel7&id=ced249b68fcf31d03a84da69202dc5643d8abffa
Comment 1 Denis Fateyev 2016-03-01 15:53 EST
Created attachment 1132036 [details]
csnappy epel fixes

David, as for the recent conversation by e-mail:
Please merge master branch into epel branches, and for both apply the patch attached (it fixes relro support, etc.)

After that build will go fine:
https://koji.fedoraproject.org/koji/taskinfo?taskID=13191796 (EPEL 6)
https://koji.fedoraproject.org/koji/taskinfo?taskID=13191843 (EPEL 7)
Comment 2 Fedora Update System 2016-03-02 03:50:11 EST
csnappy-0-5.20150729gitd7bc683.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-8730827874
Comment 3 Fedora Update System 2016-03-02 03:55:27 EST
csnappy-0-5.20150729gitd7bc683.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-2032119e8e
Comment 4 Denis Fateyev 2016-03-02 16:20:37 EST
According the buildlog, you haven't applied the patch attached. Please apply it; without it, it will compile, but relro support is broken:

$ checksec --file libcsnappy.so 
RELRO           STACK CANARY      NX            PIE             RPATH      RUNPATH      FILE
No RELRO        Canary found      NX enabled    Not an ELF file   No RPATH   No RUNPATH   libcsnappy.so
Comment 5 Fedora Update System 2016-03-02 21:48:49 EST
csnappy-0-5.20150729gitd7bc683.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-8730827874
Comment 6 Fedora Update System 2016-03-02 21:52:14 EST
csnappy-0-5.20150729gitd7bc683.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-2032119e8e
Comment 7 Fedora Update System 2016-03-03 03:16:41 EST
csnappy-0-6.20150729gitd7bc683.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-d718468eb8
Comment 8 Fedora Update System 2016-03-03 03:17:14 EST
csnappy-0-6.20150729gitd7bc683.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-983a03696f
Comment 9 Fedora Update System 2016-03-03 15:51:16 EST
csnappy-0-6.20150729gitd7bc683.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-d718468eb8
Comment 10 Fedora Update System 2016-03-03 15:52:53 EST
csnappy-0-6.20150729gitd7bc683.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-983a03696f
Comment 11 Fedora Update System 2016-03-25 17:26:11 EDT
csnappy-0-6.20150729gitd7bc683.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2016-03-25 17:53:07 EDT
csnappy-0-6.20150729gitd7bc683.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.